## libgdiplus 2.10-1maemo1

=== Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libgdiplus
pkglibdir = $(libdir)/libgdiplus
pkgincludedir = $(includedir)/libgdiplus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libgdiplus.pc.in $(srcdir)/libgdiplus0.spec.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	TODO config.guess config.sub depcomp install-sh ltmain.sh \
	missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libgdiplus.pc libgdiplus0.spec
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoconf
AUTOHEADER = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoheader
AUTOMAKE = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run automake-1.10
AWK = gawk
BASE_DEPENDENCIES_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
BASE_DEPENDENCIES_LIBS = -lglib-2.0  
CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CAIRO_DIR = 
CAIRO_LIBS = -lcairo  
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -pthread
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
FONTCONFIG_CFLAGS =  
FONTCONFIG_CONFIG = 
FONTCONFIG_LIBS = -lfontconfig  
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
FREETYPE_CONFIG = 
GDIPLUS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_PKG_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_REQ = cairo
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBEXIF_CFLAGS = -I/usr/include/libexif  
LIBEXIF_LIBS = -lexif -lm  
LIBOBJS = 
LIBS = -lpthread -lfontconfig 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = arm-linux-gnueabi-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libgdiplus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PANGO_CFLAGS = 
PANGO_LIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
VERSION = 2.10
abs_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10
abs_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10
abs_top_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10
abs_top_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/keks/mono/gdiplus/libgdiplus-2.10/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS =  src tests
DIST_SUBDIRS = pixman cairo src tests
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libgdiplus.pc 
DISTCLEANFILES = libgdiplus.pc
EXTRA_DIST = libgdiplus.pc.in LICENSE MPL-1.1.html
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
libgdiplus.pc: $(top_builddir)/config.status $(srcdir)/libgdiplus.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
libgdiplus0.spec: $(top_builddir)/config.status $(srcdir)/libgdiplus0.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \

=== src/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libgdiplus
pkglibdir = $(libdir)/libgdiplus
pkgincludedir = $(includedir)/libgdiplus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libgdiplus_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_libgdiplus_la_OBJECTS = adjustablearrowcap.lo bitmap.lo brush.lo \
	carbon-private.lo customlinecap.lo dstream.lo font.lo \
	general.lo graphics.lo graphics-cairo.lo graphics-metafile.lo \
	graphics-path.lo graphics-pathiterator.lo hatchbrush.lo \
	icocodec.lo image.lo imageattributes.lo lineargradientbrush.lo \
	matrix.lo metafile.lo pathgradientbrush.lo pen.lo print.lo \
	region.lo region-bitmap.lo region-path-tree.lo solidbrush.lo \
	stringformat.lo text.lo text-cairo.lo text-pango.lo \
	text-metafile.lo texturebrush.lo bmpcodec.lo emfcodec.lo \
	emfplus.lo gifcodec.lo jpegcodec.lo pngcodec.lo tiffcodec.lo \
	wmfcodec.lo
libgdiplus_la_OBJECTS = $(am_libgdiplus_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libgdiplus_la_SOURCES)
DIST_SOURCES = $(libgdiplus_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoconf
AUTOHEADER = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoheader
AUTOMAKE = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run automake-1.10
AWK = gawk
BASE_DEPENDENCIES_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
BASE_DEPENDENCIES_LIBS = -lglib-2.0  
CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CAIRO_DIR = 
CAIRO_LIBS = -lcairo  
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -pthread
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
FONTCONFIG_CFLAGS =  
FONTCONFIG_CONFIG = 
FONTCONFIG_LIBS = -lfontconfig  
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
FREETYPE_CONFIG = 
GDIPLUS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_PKG_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_REQ = cairo
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBEXIF_CFLAGS = -I/usr/include/libexif  
LIBEXIF_LIBS = -lexif -lm  
LIBOBJS = 
LIBS = -lpthread -lfontconfig 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = arm-linux-gnueabi-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libgdiplus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PANGO_CFLAGS = 
PANGO_LIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
VERSION = 2.10
abs_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10/src
abs_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10/src
abs_top_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10
abs_top_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/keks/mono/gdiplus/libgdiplus-2.10/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
lib_LTLIBRARIES = libgdiplus.la
libgdiplus_la_SOURCES = \
	adjustablearrowcap.c		\
	adjustablearrowcap.h		\
	adjustablearrowcap-private.h	\
	alpha-premul-table.inc		\
	bitmap.c			\
	bitmap.h			\
	bitmap-private.h		\
	brush.c				\
	brush.h				\
	brush-private.h			\
	carbon-private.c		\
	carbon-private.h		\
	codecs.h			\
	codecs-private.h		\
	customlinecap.c			\
	customlinecap.h			\
	customlinecap-private.h		\
	dstream.c 			\
	dstream.h			\
	font.c				\
	font.h				\
	font-private.h			\
	fontcollection.h		\
	fontcollection-private.h	\
	fontfamily.h			\
	fontfamily-private.h		\
	GdiPlusFlat.h			\
	gdiplus-private.h		\
	gdip.h				\
	gdipenums.h			\
	gdipstructs.h			\
	general.c			\
	general.h			\
	general-private.h		\
	graphics.c			\
	graphics.h			\
	graphics-cairo.c		\
	graphics-cairo-private.h	\
	graphics-metafile.c		\
	graphics-metafile-private.h	\
	graphics-private.h		\
	graphics-path.c			\
	graphics-path.h			\
	graphics-path-private.h		\
	graphics-pathiterator.c		\
	graphics-pathiterator.h		\
	graphics-pathiterator-private.h	\
	hatchbrush.c			\
	hatchbrush.h			\
	hatchbrush-private.h		\
	icocodec.c			\
	icocodec.h			\
	image.c				\
	image.h				\
	image-private.h			\
	imageattributes.c 		\
	imageattributes.h		\
	imageattributes-private.h	\
	lineargradientbrush.c 		\
	lineargradientbrush.h 		\
	lineargradientbrush-private.h	\
	matrix.c			\
	matrix.h			\
	matrix-private.h		\
	metafile.c			\
	metafile.h			\
	metafile-private.h		\
	pathgradientbrush.c 		\
	pathgradientbrush.h 		\
	pathgradientbrush-private.h	\
	pen.c				\
	pen.h				\
	pen-private.h			\
	print.c				\
	region.c			\
	region.h			\
	region-private.h		\
	region-bitmap.c			\
	region-bitmap.h			\
	region-path-tree.c		\
	region-path-tree.h		\
	solidbrush.c			\
	solidbrush.h			\
	solidbrush-private.h		\
	stringformat.c			\
	stringformat.h			\
	stringformat-private.h		\
	text.c				\
	text.h				\
	text-cairo.c			\
	text-cairo-private.h		\
	text-pango.c			\
	text-pango-private.h		\
	text-metafile.c			\
	text-metafile-private.h		\
	texturebrush.c			\
	texturebrush.h			\
	texturebrush-private.h		\
	win32structs.h			\
	bmpcodec.h			\
	bmpcodec.c			\
	emfcodec.c			\
	emfcodec.h			\
	emfplus.c			\
	emfplus.h			\
	gifcodec.h			\
	gifcodec.c			\
	jpegcodec.h			\
	jpegcodec.c			\
	pngcodec.h			\
	pngcodec.c			\
	tiffcodec.h			\
	tiffcodec.c			\
	wmfcodec.c			\
	wmfcodec.h

libgdiplus_la_LIBADD = $(GDIPLUS_LIBS)
INCLUDES = $(GDIPLUS_CFLAGS) -Wall -Wno-unused -Wno-format
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \

=== tests/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libgdiplus
pkglibdir = $(libdir)/libgdiplus
pkgincludedir = $(includedir)/libgdiplus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = testgdi$(EXEEXT) testbits$(EXEEXT) testclip$(EXEEXT) \
	testreversepath$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testbits_OBJECTS = testbits.$(OBJEXT)
testbits_OBJECTS = $(am_testbits_OBJECTS)
am_testclip_OBJECTS = testclip.$(OBJEXT)
testclip_OBJECTS = $(am_testclip_OBJECTS)
am_testgdi_OBJECTS = testgdi.$(OBJEXT)
testgdi_OBJECTS = $(am_testgdi_OBJECTS)
am_testreversepath_OBJECTS = testreversepath.$(OBJEXT)
testreversepath_OBJECTS = $(am_testreversepath_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(testbits_SOURCES) $(testclip_SOURCES) $(testgdi_SOURCES) \
	$(testreversepath_SOURCES)
DIST_SOURCES = $(testbits_SOURCES) $(testclip_SOURCES) \
	$(testgdi_SOURCES) $(testreversepath_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoconf
AUTOHEADER = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run autoheader
AUTOMAKE = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run automake-1.10
AWK = gawk
BASE_DEPENDENCIES_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
BASE_DEPENDENCIES_LIBS = -lglib-2.0  
CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CAIRO_DIR = 
CAIRO_LIBS = -lcairo  
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -pthread
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
FONTCONFIG_CFLAGS =  
FONTCONFIG_CONFIG = 
FONTCONFIG_LIBS = -lfontconfig  
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
FREETYPE_CONFIG = 
GDIPLUS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/freetype2     -I/usr/include/libexif  
GDIPLUS_PKG_LIBS = -lglib-2.0   -lcairo    -lfontconfig   -lfreetype   -lXrender -lX11   -ltiff -ljpeg -lungif -lpng12   -lexif -lm  
GDIPLUS_PKG_REQ = cairo
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBEXIF_CFLAGS = -I/usr/include/libexif  
LIBEXIF_LIBS = -lexif -lm  
LIBOBJS = 
LIBS = -lpthread -lfontconfig 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/keks/mono/gdiplus/libgdiplus-2.10/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = arm-linux-gnueabi-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libgdiplus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PANGO_CFLAGS = 
PANGO_LIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
VERSION = 2.10
abs_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10/tests
abs_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10/tests
abs_top_builddir = /home/keks/mono/gdiplus/libgdiplus-2.10
abs_top_srcdir = /home/keks/mono/gdiplus/libgdiplus-2.10
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/keks/mono/gdiplus/libgdiplus-2.10/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
INCLUDES = \
	-I$(top_srcdir)				\
	-I$(top_builddir)/src			\
	-I$(top_srcdir)/src			\
	$(GDIPLUS_CFLAGS)

DEPS = \
	$(top_builddir)/src/libgdiplus.la

LDADDS = \
	$(top_builddir)/src/libgdiplus.la

testgdi_DEPENDENCIES = $(TEST_DEPS)
testgdi_LDADD = $(LDADDS)
testgdi_SOURCES = \
	testgdi.c

testbits_DEPENDENCIES = $(TEST_DEPS)
testbits_LDADD = $(LDADDS)
testbits_SOURCES = \
	testbits.c

testclip_SOURCES = \
	testclip.c

testclip_DEPENDENCIES = $(TEST_DEPS)
testclip_LDADD = $(LDADDS)
testreversepath_SOURCES = \
	testreversepath.c

testreversepath_DEPENDENCIES = $(TEST_DEPS)
testreversepath_LDADD = $(LDADDS)
EXTRA_DIST = \
	$(testgdi_SOURCES)	\
	$(testbits_SOURCES)	\
	$(testclip_SOURCES)	\
	$(testreversepath_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
testbits$(EXEEXT): $(testbits_OBJECTS) $(testbits_DEPENDENCIES) 
	@rm -f testbits$(EXEEXT)
	$(LINK) $(testbits_OBJECTS) $(testbits_LDADD) $(LIBS)
testclip$(EXEEXT): $(testclip_OBJECTS) $(testclip_DEPENDENCIES) 
	@rm -f testclip$(EXEEXT)
	$(LINK) $(testclip_OBJECTS) $(testclip_LDADD) $(LIBS)
testgdi$(EXEEXT): $(testgdi_OBJECTS) $(testgdi_DEPENDENCIES) 
	@rm -f testgdi$(EXEEXT)
	$(LINK) $(testgdi_OBJECTS) $(testgdi_LDADD) $(LIBS)
testreversepath$(EXEEXT): $(testreversepath_OBJECTS) $(testreversepath_DEPENDENCIES) 
	@rm -f testreversepath$(EXEEXT)
	$(LINK) $(testreversepath_OBJECTS) $(testreversepath_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/testbits.Po
include ./$(DEPDIR)/testclip.Po
include ./$(DEPDIR)/testgdi.Po
include ./$(DEPDIR)/testreversepath.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

## libgdiplus 2.10

=== debian/changelog ===
libgdiplus (2.10-2) experimental; urgency=low

  * [9817aa7] Add ppc64 to list of architectures, for Ubuntu

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Jun 2011 01:11:42 +0100

libgdiplus (2.10-1) experimental; urgency=low

  * [a1db1bc] Remove obsolete gbp.conf
  * [f8dd58b] Imported Upstream version 2.10
  * [6941c4f] Add armhf to list of architectures (ARM with specific
    optimizations), remove lpia (i386 with specific optimizations,
    Ubuntu-only and obsolete).
  * [bf556a1] Switch to Debian source format 3.0, to handle orig.tar.bz2
    properly.

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Mar 2011 21:25:39 +0000

libgdiplus (2.6.7-3) unstable; urgency=low

  * The "closing CVE-2010-1526 in Sid and Squeeze" release
  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Sep 2010 11:28:50 +0100

libgdiplus (2.6.7-2) experimental; urgency=high

  * SECURITY UPDATE: Import upstream commit fa0e3a1d516166c341d5, which 
    closes integer overflows in BMP, JPEG and TIFF handling. 
    (Closes: #594155) (CVE-2010-1526)

 -- Jo Shields <directhex@apebox.org>  Wed, 25 Aug 2010 08:51:05 +0100

libgdiplus (2.6.7-1) experimental; urgency=low

  * New upstream release
  * debian/rules:
    + Don't use ../tarballs in get-orig-source, this is against policy
  * debian/control:
    + Bump standards version to 3.9.1
    + Use Vcs-Git, not Vcs-Svn, and correct Vcs-Browser

 -- Jo Shields <directhex@apebox.org>  Fri, 06 Aug 2010 19:12:15 +0100

libgdiplus (2.6.4-2) experimental; urgency=low

  * git:upstream-2.6.4/debian/patches/libpng_1.4_compatibility_version_check_fix:
    + Change version number check on libpng in src/pngcodec.c to >1.3.99, 
      rather than >1.2.43, as security releases on the 1.2 branch should be 
      treated in the old way, not the new 1.4-branch-way.

 -- Jo Shields <directhex@apebox.org>  Fri, 02 Jul 2010 14:43:49 +0100

libgdiplus (2.6.4-1) experimental; urgency=low

  * New upstream release
  * debian/control,
    debian/rules,
    debian/libgdiplus.install,
    debian/libgdiplus.dirs:
    + Remove dpatch
    + Port to Debhelper 7
  * debian/control:
    + Bump standards version to 3.8.4 (no changes needed)
  * debian/source/format:
    + Force Debian source format 1.0

 -- Jo Shields <directhex@apebox.org>  Fri, 21 May 2010 14:32:03 +0100

libgdiplus (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Modify get-orig-source rule to produce consistent md5sums
  * debian/control:
    + Bump standards version to 3.8.2 (no changes needed)
    + Re-space build-depends line for easier reading

 -- Jo Shields <directhex@apebox.org>  Tue, 30 Jun 2009 10:31:21 +0100

libgdiplus (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump standards version to 3.8.1 (no changes needed)

 -- Jo Shields <directhex@apebox.org>  Wed, 29 Apr 2009 14:00:08 +0100

libgdiplus (2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Wed, 25 Feb 2009 00:58:43 +0100

libgdiplus (2.0-1) experimental; urgency=low

  [ Jo Shields ]
  * New upstream release.
  * Added myself to Uploaders
  * No-change standards version bump (3.8.0)
  * debian/rules:
    + No more need to disable glitz
    + Clear debian-rules-ignores-make-clean-error lintian error by rewriting
      make clean line
  * debian/postinst:
    + Clear postinst-must-call-ldconfig lintian error by adding a postinst
      script to call ldconfig
  * debian/control:
    + Doesn't appear to depend directly on xrender anymore
    + Remove poinltess dependency on libmono0 and libmono-dev

  [ Sebastian Dröge ]
  * debian/control:
    + Build depend on libgif-dev instead of the transitional libungif4-dev.
    + Add lpia to the supported architectures.

  [ Mirco Bauer ]
  * debian/rules:
    + Fixed clean target, config.{status,log} must not be deleted before
      running "make clean".
    + Run "make clean" before unpatching.
  * debian/control:
    + Added Homepage, Vcs-Browser and Vcs-Svn fields.
    + Enhanced package description.

 -- Mirco Bauer <meebey@debian.org>  Sun, 16 Nov 2008 18:41:52 +0100

libgdiplus (1.9-1) unstable; urgency=high

  * New upstream release.
  * debian/watch:
    + Fix watch file (Closes: #449993).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 09:35:06 +0200

libgdiplus (1.2.6-2) unstable; urgency=low

  * debian/control:
    + Add sparc and s390 to the supported architectures as these are now
      supported by mono.
    + Use Mirco's debian.org mail address.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 23 Dec 2007 04:46:20 +0100

libgdiplus (1.2.6-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_external-cairo.dpatch,
      debian/patches/99_autoreconf.dpatch:
      - Dropped, merged upstream.
  * debian/control:
    + Drop Dave Beckett from Uploaders by his request.
    + Updated Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Dec 2007 13:18:49 +0100

libgdiplus (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_missing-include.dpatch:
    + Dropped, merged upstream.
  * debian/patches/01_external-cairo.dpatch,
    debian/patches/99_autoreconf.dpatch,
    debian/rules,
    debian/control:
    + Link and build with the external cairo. Patch from upstream SVN.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 02 Sep 2007 13:10:57 +0200

libgdiplus (1.2.4-2) unstable; urgency=low

  * debian/patches/01_missing-include.dpatch:
    + Add a missing include, resulting in a build failure (Closes: #434339).
      Thanks to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> for
      the patch.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 10 Aug 2007 11:25:30 +0200

libgdiplus (1.2.4-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/rules,
      debian/libgdiplus.install,
      debian/libgdiplus.files:


=== debian/control ===
Source: libgdiplus
Section: libs
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: 
 debhelper (>= 7.0.50~), 
 libglib2.0-dev (>= 2.2.3), 
 libx11-dev, 
 libxt-dev, 
 libfontconfig1-dev, 
 libfreetype6-dev, 
 libxft-dev (>= 2.0), 
 libpng12-dev, 
 libjpeg62-dev, 
 libtiff4-dev, 
 libgif-dev, 
 libexif-dev, 
 libcairo2-dev (>= 1.4)
Standards-Version: 3.9.1
Homepage: http://www.mono-project.com/Libgdiplus
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/libgdiplus.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/libgdiplus.git


Package: libgdiplus
Architecture: i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390 armhf ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library for System.Drawing of Mono
 This package contains a GDI+ API compatible implementation needed by the
 System.Drawing library of Mono.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename
	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	  --with-cairo=system
	perl -pe 's/-Werror//' -i src/Makefile
	
override_dh_auto_build:
	$(MAKE)
	perl -pe 's,^Requires:.*,,; s,^Libs:.*,,; s,^Cflags:.*,,;' -i libgdiplus.pc

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_install:
	dh_auto_install
	rm debian/libgdiplus/usr/lib/lib*.*a

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.status config.log
	rm -f cairo/config.status cairo/config.log

%:
	dh $@

## libgdiplus 2.10-1maemo1

=== debian/changelog ===
libgdiplus (2.10-1maemo1) fremantle; urgency=low

  * Initial release for Maemo 5

 -- Nikita Tsukanov <keks9n@gmail.com>  Tue, 26 Apr 2011 23:37:43 +0400

=== debian/control ===
Source: libgdiplus
Section: libs
Priority: optional
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.2.3), libx11-dev, libxt-dev, libfontconfig1-dev, libfreetype6-dev, libxft-dev (>= 2.0), libpng12-dev, libjpeg62-dev, libtiff4-dev, libgif-dev, libxrender-dev, libexif-dev, libcairo2-dev (>= 1.4)
Standards-Version: 3.7.3

Package: libgdiplus
Architecture: i386 armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library for Mono class System.Drawing
 libgdiplus is a native library object needed part of Mono.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: patch-stamp configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	  --with-cairo=system --disable-glitz
	perl -pe 's/-Werror//' -i src/Makefile

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	perl -pe 's,^Requires:.*,,; s,^Libs:.*,,; s,^Cflags:.*,,;' -i libgdiplus.pc
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log config.status
	# Add here commands to clean up after the build process.
	-$(MAKE) -k clean
	rm -f cairo/config.status cairo/config.log
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
